import { createApp, defineAsyncComponent } from 'vue'
import App from './App.vue'
import router from './router'
import { Dialog, Notify, Quasar } from "quasar";
import th from "quasar/lang/th";
import quasarUserOptions from "./quasar-user-options"
import { createPinia } from "pinia";
import "@vuepic/vue-datepicker/dist/main.css";

import 'quasar/src/css/index.sass'

// import './assets/main.css'

const app = createApp(App);
const pinia = createPinia();

app.use(router);

app.use(Quasar, {
    plugins: {
      Notify,
      Dialog
    },
    lang: th,
  }
  );

  app.component(
    "datepicker",
    defineAsyncComponent(() => import("@vuepic/vue-datepicker"))
  );
app.mount('#app');
